#include <QtGui/QGuiApplication>
#include <QtQml/QtQml>
#include <QtQml/QQmlApplicationEngine>
#include <QtQuick/QQuickWindow>

class CustomWindow : public QQuickWindow
{
public:
    CustomWindow(QWindow* parent = nullptr) : QQuickWindow(parent) { }
    ~CustomWindow() { }
};

int main(int argc, char** argv)
{
    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;
    qmlRegisterType<CustomWindow>("Custom", 1, 0, "CustomWindow");
    engine.load("pyqt_bug.qml");

    return app.exec();
}

